Subject: Re: CCL:Quick question on G98

From: "Phillip D. Matz" <[email-masked]>
Date: Thu, 11 Jan 2001 14:21:37 -0800

Hello Dr. Stack,

I believe the answer to your question is yes.  Doug Fox at Gaussian, Inc.
clued me into this when I was having trouble with a dual-cpu system running
in Linux.  I do not know how to change the shmem variable in IRIX as my
experience is mostly limited to linux and windows systems.  In linux (if it
helps...) one can change the shmem by su'ing and typing the following:

echo "536870912" >/proc/sys/kernel/shmmax

this would set the shmem variable to 512MB.

Also, I would like to mention that I incorrectly referred to NUMA and UMA
previously when I should have been referring to distributed (instead of
NUMA) versus shared (instead of UMA) memory systems.  Credit goes to Jim
Phillips for bringing this to my attention and "adjusting" my views on this
matter.  Thank you Jim.

Since Doug Fox helped me with shmem in linux I would hit him up specifically
for help on this.

Respectfully,
Phillip Matz
[email-masked]

----- Original Message -----
From: <Douglas_Stack/CAS/UNO/[email-masked]>
To: "Phillip D. Matz" <[email-masked]>
Cc: <[email-masked]>; <[email-masked]>
Sent: Wednesday, January 10, 2001 8:43 AM
Subject: CCL:Quick question on G98

> Dear Phillip,
>
>
> Thanks again for your clear insight.  Is there another issue to consider,
namely
> the shmem variable.  Isn't a Unix kernel compiled to set the maximum
amount of
> memory one processor can use.  I refer specifically to an SGI Orgin 2000
running
> IRIX  6.5.  How does one change this value (I think many default to 512
MB).
>
> Thanks again!
>
> Douglas E. Stack
> Assistant Professor
> Department of Chemistry
> University of Nebraska at Omaha
> Omaha, NE 68182-0109
> (402) 554-3647
> (402) 554-3888 (fax)
> [email-masked]
>
>